CVE-2022-26710

Published on: Not Yet Published

Last Modified on: 11/03/2022 01:48:00 PM UTC

CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Certain versions of Ipados from Apple contain the following vulnerability:

A use after free issue was addressed with improved memory management. This issue is fixed in iOS 15.5 and iPadOS 15.5, macOS Monterey 12.4, tvOS 15.5, watchOS 8.6. Processing maliciously crafted web content may lead to arbitrary code execution.

  • CVE-2022-26710 has been assigned by URL Logo [email protected] to track the vulnerability - currently rated as HIGH severity.
  • Affected Vendor/Software: URL Logo Apple - macOS version < 12.4
  • Affected Vendor/Software: URL Logo Apple - watchOS version < 8.6
  • Affected Vendor/Software: URL Logo Apple - watchOS version < 15.5
  • Affected Vendor/Software: URL Logo Apple - watchOS version < 15.5

CVSS3 Score: 8.8 - HIGH

Attack
Vector
Attack
Complexity
Privileges
Required
User
Interaction
NETWORK LOW NONE REQUIRED
Scope Confidentiality
Impact
Integrity
Impact
Availability
Impact
UNCHANGED HIGH HIGH HIGH

CVE References

Description Tags Link
About the security content of tvOS 15.5 - Apple Support support.apple.com
text/html
URL Logo MISC support.apple.com/en-us/HT213254
About the security content of watchOS 8.6 - Apple Support support.apple.com
text/html
URL Logo MISC support.apple.com/en-us/HT213253
About the security content of iOS 15.5 and iPadOS 15.5 - Apple Support support.apple.com
text/html
URL Logo MISC support.apple.com/en-us/HT213258
About the security content of macOS Monterey 12.4 - Apple Support support.apple.com
text/html
URL Logo MISC support.apple.com/en-us/HT213257

Related QID Numbers

  • 160217 Oracle Enterprise Linux Security Update for webkit2gtk3 (ELSA-2022-7704)
  • 160305 Oracle Enterprise Linux Security Update for webkit2gtk3 (ELSA-2022-8054)
  • 180889 Debian Security Update for wpewebkit (DSA 5183-1)
  • 180890 Debian Security Update for webkit2gtk (DSA 5182-1)
  • 198864 Ubuntu Security Notification for WebKitGTK Vulnerabilities (USN-5522-1)
  • 240833 Red Hat Update for webkit2gtk3 (RHSA-2022:7704)
  • 240910 Red Hat Update for webkit2gtk3 (RHSA-2022:8054)
  • 282904 Fedora Security Update for webkit2gtk3 (FEDORA-2022-fdb75e7766)
  • 282958 Fedora Security Update for webkit2gtk3 (FEDORA-2022-6b749525f3)
  • 376612 Apple macOS Monterey 12.4 Not Installed (HT213257)
  • 610416 Apple iOS 15.5 and iPadOS 15.5 Security Update Missing (HT213258)
  • 710613 Gentoo Linux WebKitGTK+ Multiple Vulnerabilities (GLSA 202208-39)
  • 752371 SUSE Enterprise Linux Security Update for webkit2gtk3 (SUSE-SU-2022:2524-1)
  • 752372 SUSE Enterprise Linux Security Update for webkit2gtk3 (SUSE-SU-2022:2522-1)
  • 752373 SUSE Enterprise Linux Security Update for webkit2gtk3 (SUSE-SU-2022:2525-1)
  • 752374 SUSE Enterprise Linux Security Update for webkit2gtk3 (SUSE-SU-2022:2523-1)
  • 940779 AlmaLinux Security Update for webkit2gtk3 (ALSA-2022:7704)
  • 940844 AlmaLinux Security Update for webkit2gtk3 (ALSA-2022:8054)
  • 960171 Rocky Linux Security Update for webkit2gtk3 (RLSA-2022:7704)

Known Affected Configurations (CPE V2.3)

Type Vendor Product Version Update Edition Language
Operating
System
AppleIpadosAllAllAllAll
Operating
System
AppleIphone OsAllAllAllAll
Operating
System
AppleMacosAllAllAllAll
Operating
System
AppleTvosAllAllAllAll
Operating
System
AppleWatchosAllAllAllAll
  • cpe:2.3:o:apple:ipados:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:apple:iphone_os:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:apple:macos:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:apple:tvos:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:apple:watchos:*:*:*:*:*:*:*:*:

Social Mentions

Source Title Posted (UTC)
Twitter Icon @RedPacketSec Apple iOS and iPadOS code execution | CVE-2022-26710 - redpacketsecurity.com/apple-ios-and-… 2022-05-17 09:01:14
Twitter Icon @OpenBSD_ports OPENBSD_7_1 [email protected] modified www/webkitgtk4: SECURITY update to webkitgtk4-2.36.4. CVE-2022-22662, CVE-2022-22677, CVE-2022-26710 2022-07-05 21:55:19
Twitter Icon @OpenBSD_stable OPENBSD_7_1 [email protected] modified www/webkitgtk4: SECURITY update to webkitgtk4-2.36.4. CVE-2022-22662, CVE-2022-22677, CVE-2022-26710 2022-07-05 21:55:19
Reddit Logo Icon /r/k12cybersecurity MS-ISAC CYBERSECURITY ADVISORY - Multiple Vulnerabilities in Apple Products Could Allow for Arbitrary Code Execution - PATCH: NOW 2022-05-17 13:11:14
Reddit Logo Icon /r/k12cybersecurity UPDATED MS-ISAC CYBERSECURITY ADVISORY - Multiple Vulnerabilities in Apple Products Could Allow for Arbitrary Code Execution - PATCH: NOW 2022-05-18 14:59:44
© CVE.report 2022 Twitter Nitter Twitter Viewer |

Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.

CVE, CWE, and OVAL are registred trademarks of The MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. This site includes MITRE data granted under the following license.

CVE.report and Source URL Uptime Status status.cve.report